libcdr::CDRBox Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libcdr::CDRBox Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRBox ()
| CDRBox (double x0, double y0, double x1, double y1)
double | getWidth () const
double | getHeight () const
double | getMinX () const
double | getMinY () const

## Public Attributes
double | m_x
double | m_y
double | m_w
double | m_h

## Constructor & Destructor Documentation

## ◆ CDRBox() [1/2]

libcdr::CDRBox::CDRBox | ( |  | ) |
| inline

## ◆ CDRBox() [2/2]

libcdr::CDRBox::CDRBox | ( | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1
| ) |  |
| inline

## Member Function Documentation

## ◆ getHeight()

double libcdr::CDRBox::getHeight | ( |  | ) | const
| inline

Referenced by libcdr::CDRContentCollector::collectBBox(), libcdr::CMXParser::readBeginGroup(), and libcdr::CMXParser::readBeginPage().

## ◆ getMinX()

double libcdr::CDRBox::getMinX | ( |  | ) | const
| inline

Referenced by libcdr::CDRContentCollector::collectBBox(), libcdr::CMXParser::readBeginGroup(), and libcdr::CMXParser::readBeginPage().

## ◆ getMinY()

double libcdr::CDRBox::getMinY | ( |  | ) | const
| inline

Referenced by libcdr::CDRContentCollector::collectBBox(), libcdr::CMXParser::readBeginGroup(), and libcdr::CMXParser::readBeginPage().

## ◆ getWidth()

double libcdr::CDRBox::getWidth | ( |  | ) | const
| inline

Referenced by libcdr::CDRContentCollector::collectBBox(), libcdr::CMXParser::readBeginGroup(), and libcdr::CMXParser::readBeginPage().

## Member Data Documentation

## ◆ m_h

double libcdr::CDRBox::m_h

Referenced by getHeight(), libcdr::CMXParser::readCMXHeader(), and libcdr::CMXParser::readDrawImage().

## ◆ m_w

double libcdr::CDRBox::m_w

Referenced by getWidth(), libcdr::CMXParser::readCMXHeader(), and libcdr::CMXParser::readDrawImage().

## ◆ m_x

double libcdr::CDRBox::m_x

Referenced by getMinX(), libcdr::CMXParser::readCMXHeader(), and libcdr::CMXParser::readDrawImage().

## ◆ m_y

double libcdr::CDRBox::m_y

Referenced by getMinY(), libcdr::CMXParser::readCMXHeader(), and libcdr::CMXParser::readDrawImage().

The documentation for this struct was generated from the following file:

- CDRTypes.h